using System;
using System.ComponentModel;

internal sealed class Delegate507 : MulticastDelegate
{
	public extern ListSortDirection Invoke(object object_0);

	public static ListSortDirection smethod_0(object object_0, Delegate507 delegate507_1)
	{
		return delegate507_1(object_0);
	}

	public extern Delegate507(object object_0, IntPtr intptr_0);

	static Delegate507()
	{
		Class10.smethod_13(typeof(Delegate507).TypeHandle);
	}

	internal static Delegate507 delegate507_0;
}
